PostgreSQL 8.4.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# COMMIT PREPARED

## Name

COMMIT PREPARED -- commit a transaction that was earlier prepared for two-phase commit

## Synopsis

    COMMIT PREPARED transaction_id

## Description

`COMMIT PREPARED` commits a transaction that is in prepared state.

## Parameters

`transaction_id`

  The transaction identifier of the transaction that is to be committed.

## Notes

To commit a prepared transaction, you must be either the same user that executed the transaction originally, or a superuser. But you do not have to be in the same session that executed the transaction.

This command cannot be executed inside a transaction block. The prepared transaction is committed immediately.

All currently available prepared transactions are listed in the `pg_prepared_xacts` system view.

## Examples

Commit the transaction identified by the transaction identifier `foobar`:

    COMMIT PREPARED 'foobar';

## See Also

PREPARE TRANSACTION, ROLLBACK PREPARED

Prev | Home | Next
COMMIT | Up | COPY